/* eslint no-process-env: off */
const path = require('path')
const nodeExternals = require('webpack-node-externals')

module.exports = (env = {}) => ({
    mode: env.dev ? 'development' : 'production',
    entry: './src/index.ts',
    output: {
        path: path.resolve(__dirname, 'dist'),
        filename: 'app.min.js',
        library: 'DevCycle',
        libraryTarget: 'umd'
    },
    target: 'node',
    devtool: 'source-map',
    resolve: {
        modules: ['node_modules'],
        extensions: ['.js', '.ts']
    },
    externals: [
        nodeExternals()
    ],
    plugins: [],
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                use: [
                    {
                        loader: 'babel-loader',
                        options: {
                            presets: ['@babel/preset-typescript']
                        }
                    }
                ]
            }
        ]
    }
})
